Page MenuHomePhabricator

Kernel config cleanup
Closed, ResolvedPublicENHANCEMENT

Description

We have quite a lot of features of questionable utility (on routers, of course, not in general) enabled in our kernel config.

They do take up some space, but perhaps more importantly, they increase the build time considerable.

Please share your opinion whether we should keep or disable these. Here's the list I've made:

General:

  • Support for multiple non-ASCII, non-Unicode encodings
  • Apple partition table support
  • FireWire support
  • Multiple GPU drivers
  • InfiniBand
  • Mouse support
  • Game port (!) support

Filesystems:

  • NFS
  • XFS
  • BTRFS
  • ReiserFS
  • JFFS2
  • Disk quota support

Storage:

  • Floppy support
  • AOE (ATA over Ethernet) support

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
dmbaturin created this task.Oct 7 2018, 7:30 PM
dmbaturin triaged this task as Low priority.
dmbaturin created this object with visibility "Public (No Login Required)".
dmbaturin updated the task description. (Show Details)Oct 7 2018, 7:39 PM
c-po added a subscriber: c-po.Oct 7 2018, 7:47 PM

At time of this writing we don‘t support any GPU drivers in the 4.18 branch, obly framebuffer.

IMHO all can go except NFS which may be nice for debugging, testing or config backup

runar added a subscriber: runar.Oct 8 2018, 8:41 PM

General:
Support for multiple non-ASCII, non-Unicode encodings

  • Remove it

    Apple partition table support
  • Do usb disks formated on a mac have this? otherwise.. remove

    FireWire support
  • Firewire nic? never heard of.. :P

Multiple GPU drivers

  • is high resolution framebuffer supported? otherwise, remove them

    InfiniBand

is IPoIB supported or in the roadmap? if not. remove it.

Mouse support

  • same as with gpu drivers?

    Game port (!) support
  • Remove it

Filesystems:
Cant see why we vill need anything other than NFS.
The only reason i can se is to support USB disks, but they are almost always xFAT something.

  • Keep NFS and drop all the other file systems

Storage
Floppy is to legacy and. woooth? ATAoE? :S on a router?

  • Remove both
syncer changed the subtype of this task from "Task" to "Enhancement".Oct 20 2018, 7:00 AM
pasik added a subscriber: pasik.Nov 4 2018, 11:22 AM
c-po added a comment.EditedDec 25 2018, 11:39 AM

Changes verified in commit https://github.com/vyos/vyos-kernel/commit/729bd5fafec7d2ad345ab371b04d15d2cf627229 so IMHO this one is resolved

Removed:

  • Apple partition table support
  • FireWire support
  • Multiple GPU drivers
  • InfiniBand
  • Game port (!) support

Filesystems:

  • NFS
  • XFS
  • BTRFS
  • ReiserFS
  • JFFS2
  • Disk quota support

Storage:

  • Floppy support
  • AOE (ATA over Ethernet) support
  • Network Block Device
c-po claimed this task.Dec 25 2018, 11:40 AM
c-po closed this task as Resolved.
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).